<?php
if($_SERVER['REQUEST_METHOD'] != 'POST' ){
    header("Location: index.html" );
}

require 'phpmailer/PHPMailer.php';
require 'phpmailer/Exception.php';

use PHPMailer\PHPMailer\PHPMailer;

$nombre = $_POST['nombre'];
$apellido = $_POST['apellido'];
$email = $_POST['email'];
$empresa = $_POST['empresa'];
$asunto = $_POST['asunto'];
$mensaje = $_POST['mensaje'];
$foto = $_FILES['foto']; //array assoc - $foto['tmp_name']; $foto['size'] - $foto['name']

if( empty(trim($nombre)) ) $nombre = 'anonimo';
if( empty(trim($apellido)) ) $apellido = '';
if( empty(trim($empresa)) ) $empresa = 'Sin definir';
if( empty(trim($email)) ) $email = 'Sin definir';
$body = <<<HTML
    <h1>Contacto desde su pagina web</h1>
    <h3>Sistema de gestión de calidad</h3>
    <p><h3>De:</h3>$nombre $apellido</p>
    <p><h3>Razón social:</h3> $empresa</p>
    <p><h3>Email:</h3> $email</p>
    <p><h3>Tipo de mensaje:</h3> $asunto</p>
    <h2>Mensaje:</h2>
    $mensaje
<br></br>
    <h3>--------------------------------------------------</h3>

    <h3>SIE ASESORIAS, SU MEJOR OPCIÓN EN SISTEMAS DE GESTIÓN DE CALIDAD</h3>
    
HTML;

$mailer = new PHPMailer();
$mailer->setFrom( $email, "$nombre $apellido" );
$mailer->addAddress('rety.sas@hotmail.com','Sitio web');
$mailer->Subject = "Mensaje web: $asunto";
$mailer->msgHTML($body);
$mailer->AltBody = strip_tags($body);
$mailer->CharSet = 'UTF-8';

if( $foto['size'] > 0 ){
    $mailer->addAttachment( $foto['tmp_name'], $foto['name'] );
}

$rta = $mailer->send( );

//var_dump($rta);
header("Location: gracias.html" );